# ElementException
Date: 2013-02-18

## org.simpleframework.xml.core
Class ElementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException
                  org.simpleframework.xml.core.ElementException

All Implemented Interfaces:
  java.io.Serializable

    public class ElementException

extends PersistenceException

The `ElementException` is used to represent conditions when an XML element is in an invalid state. Typically this is used when and element cannot be serialized or deserialized. Such a condition can arise when an element exists within the source XML that does not match the schema class. For serialization this exception is thrown if a required field is null.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`ElementException(java.lang.String text, java.lang.Object... list)` Constructor for the `ElementException` object.
`ElementException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `ElementException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementException

    public ElementException(java.lang.String text,
                            java.lang.Object... list)

  Constructor for the `ElementException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### ElementException

    public ElementException(java.lang.Throwable cause,
                            java.lang.String text,
                            java.lang.Object... list)

  Constructor for the `ElementException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string